<template>
  <div id="app">
    <Header />
    <div class="page__head">
      <div class="wrapper">
        <div class="column column--left">
          <BackPage link="/" title="Назад" />
        </div>
        <div class="column column--right">
          <Breadcrumb :breadcrumb="breadcrumbItems" />
          <div class="title">
            <h2>Доступ к сайту</h2>
          </div>
        </div>
      </div>
    </div>
    <div class="main">
      <div class="wrapper">
        <div class="column column--left d-m-none">
          <div class="main__sidebar page__box">
            <Sidebar />
          </div>
        </div>
        <div class="column column--right">
          <div class="main__content page__box">
            <h3>Настройка доступа к сайту</h3>
            <p class="text--gray">Контролируйте, кому доступен ваш сайт</p>
            <div class="form form--settings">
              <form action="#">
                <div class="form__body">
                  <div class="form__title">Интернет сайт</div>
                  <div class="form-group">
                    <div
                      class="radio"
                      @change="
                        {
                          showPasswordField = false;
                        }
                      "
                    >
                      <input type="radio" name="siteAccess" id="published" />
                      <label for="published">
                        Опубликовать сайт
                        <small class="text--gray">
                          Доступно при оплаченном тарифном плане
                          и&nbsp;купленном домене
                        </small>
                      </label>
                    </div>
                    <div
                      class="radio"
                      @change="
                        {
                          showPasswordField = !showPasswordField;
                        }
                      "
                    >
                      <input type="radio" name="siteAccess" id="password" />
                      <label for="password">
                        Сайт защищен паролем
                        <small class="text--gray">
                          Сайт увидит только тот, у кого есть пароль
                        </small>
                      </label>
                    </div>
                    <div
                      class="input input--after-radio"
                      v-if="showPasswordField"
                    >
                      <input
                        type="password"
                        name="password"
                        id="passwordField"
                      />
                      <label for="passwordField">Введите пароль</label>
                    </div>
                    <div
                      class="radio"
                      @change="
                        {
                          showPasswordField = false;
                        }
                      "
                    >
                      <input type="radio" name="siteAccess" id="private" />
                      <label for="private">
                        Приватный сайт
                        <small class="text--gray">
                          Только авторы и владелец сайта смогут увидеть сайт
                        </small>
                      </label>
                    </div>
                  </div>
                </div>
                <div class="form__footer">
                  <button class="btn" type="reset">
                    Отменить
                  </button>
                  <button
                    class="btn btn--brand"
                    type="button"
                    @click="toggleAlert"
                  >
                    Сохранить
                  </button>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
    <template v-if="showAlert">
      <Alert text="Настройки доступа к сайту успешно изменены" type="success" />
    </template>
  </div>
</template>

<script>
import Header from "@/components/Header";
import Sidebar from "@/components/sidebar/Sidebar";
import Breadcrumb from "@/components/Breadcrumb";
import BackPage from "@/components/BackPage";
import Alert from "@/components/Alert";
import { BREADCRUMB } from "@/constants/breadcrumb";

export default {
  name: "App",
  components: {
    Header,
    BackPage,
    Breadcrumb,
    Sidebar,
    Alert
  },
  data: () => ({
    showPasswordField: false,
    showAlert: false,
    breadcrumbItems: BREADCRUMB
  }),
  methods: {
    toggleAlert: function() {
      this.showAlert = !this.showAlert;
    }
  }
};
</script>

<style lang="scss">
@import "/assets/scss/base";
</style>
